Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.basex.core.proc
Class InfoDB

    java.lang.Object
      org.basex.core.Progress
          org.basex.core.Proc
              org.basex.core.proc.AInfo
                  org.basex.core.proc.InfoDB

    public final class InfoDB

extends AInfo

Evaluates the 'info database' command and returns information on the currently opened database.

Author:
  Workgroup DBIS, University of Konstanz 2005-10, ISC License, Christian Gruen

Field Summary

Fields inherited from class org.basex.core.Proc
`DATAREF, flags, STANDARD`

Constructor Summary
`InfoDB()` Default constructor.

Method Summary
`static byte[]` | `db(MetaData meta, boolean bold, boolean index, boolean create)` Creates a database information string.
`String` | `toString()` Returns a string representation of the process.

Methods inherited from class org.basex.core.proc.AInfo
`flag`

Methods inherited from class org.basex.core.Proc
`exec, exec, execute, execute, info, result, updating`

Methods inherited from class org.basex.core.Progress
`abort, checkStop, det, detail, prog, progress, progress, stop, tit, title`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### InfoDB

    public InfoDB()

  Default constructor.

Method Detail

### db

    public static byte[] db(MetaData meta,
                            boolean bold,
                            boolean index,
                            boolean create)

  Creates a database information string.

  Parameters:
    `meta` - meta data
    `bold` - header bold header flag
    `index` - add index information
    `create` - create permissions
  Returns:
    info string

### toString

    public String toString()

  Description copied from class: `Proc`
  Returns a string representation of the process. In the client/server architecture, this string is sent to and reparsed by the server.

  Overrides:
    `toString` in class `Proc`
  Returns:
    string representation

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD